package cn.ibizlab.assetmanagement.core.workorder.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.assetmanagement.core.workorder.domain.EAMServiceLevel;
import cn.ibizlab.assetmanagement.core.workorder.filter.EAMServiceLevelSearchContext;


import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 实体[EAMServiceLevel] 服务对象接口
 */
public interface IEAMServiceLevelService extends IService<EAMServiceLevel>{

    boolean create(EAMServiceLevel et) ;
    void createBatch(List<EAMServiceLevel> list) ;
    boolean update(EAMServiceLevel et) ;
    void updateBatch(List<EAMServiceLevel> list) ;
    boolean remove(String key) ;
    void removeBatch(Collection<String> idList) ;
    EAMServiceLevel get(String key) ;
    EAMServiceLevel getDraft(EAMServiceLevel et) ;
    boolean checkKey(EAMServiceLevel et) ;
    boolean save(EAMServiceLevel et) ;
    void saveBatch(List<EAMServiceLevel> list) ;
    Page<EAMServiceLevel> searchDefault(EAMServiceLevelSearchContext context) ;
    /**
     *自定义查询SQL
     * @param sql  select * from table where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return select * from table where id = '1'
     */
    List<JSONObject> select(String sql, Map param);
    /**
     *自定义SQL
     * @param sql  update table  set name ='test' where id =#{et.param}
     * @param param 参数列表  param.put("param","1");
     * @return     update table  set name ='test' where id = '1'
     */
    boolean execute(String sql, Map param);

    List<EAMServiceLevel> getEamservicelevelByIds(List<String> ids) ;
    List<EAMServiceLevel> getEamservicelevelByEntities(List<EAMServiceLevel> entities) ;
}


